%global momorel 1

Summary: Command line tool to access EXIF data in image files
Name: exiv2
Version: 0.12
Release: %{momorel}m
License: GPL
URL: http://www.exiv2.org/
Group: System Environment/Libraries
%NoSource 0 http://www.exiv2.org/%{name}-%{version}.tar.gz a97a4e489df7ec99458e3e33b506c3e6
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Exiv2 is a C++ library and command line utility to access image metadata.
Exiv2 is free software.

The Exiv2 library provides

    * full read and write access to the Exif and IPTC metadata of
      an image through Exiv2 keys and standard C++ iterators
      (Example1, Example2, Example3, Example4)
    * a smart IPTC implementation that does not affect data that
      programs like Photoshop store in the same image segment
    * Exif MakerNote support:
          o MakerNote tags can be accessed just like any other Exif metadata
          o a sophisticated write algorithm avoids corrupting the MakerNote:
              1) the MakerNote is not re-located if possible at all, and
              2) MakerNote Ifd offsets are re-calculated if the MakerNote 
                 needs to be moved (for known Ifd MakerNotes)
    * extract and delete methods for Exif thumbnails (both, JPEG and TIFF
      thumbnails)
    * set methods for Exif thumbnails (JPEG only, TIFF thumbnails can be
      set from individual tags)
    * complete API documentation (by Doxygen)

Exiv2 is a command line utility to

    * print the Exif metadata of JPEG, TIFF and several RAW image 
      formats as summary info, interpreted values, or the plain data 
      for each tag (a sample is here)
    * print the IPTC metadata of JPEG images
    * print, set and delete the JPEG comment of JPEG images
    * set, add and delete Exif and IPTC metadata of JPEG images
    * adjust the Exif timestamp (that's how it all started...)
    * rename Exif image files according to the Exif timestamp
    * extract, insert and delete Exif metadata, IPTC metadata and JPEG 
      comments
    * extract, insert and delete the thumbnail image embedded in the
      Exif metadata
    * fix the Exif ISO setting of picture taken with Nikon cameras

%package devel
Summary: Header files and static libraries from exiv2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on exiv2.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README doc/ChangeLog
%{_bindir}/exiv2
%{_libdir}/libexiv2-%{version}.so
%{_mandir}/man1/exiv2.1*

%files devel
%defattr(-,root,root)
%{_bindir}/exiv2-config
%{_includedir}/exiv2
%{_libdir}/pkgconfig/exiv2.pc
%{_libdir}/libexiv2.a
%{_libdir}/libexiv2.so

%changelog
* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12-1m)
- version 0.12

* Wed Nov 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11-1m)
- initial package for digikam-0.9.0
- Summary and %%description are imported from cooker
